PIP 0.7.1 Platform-Independent Primitives

Enumerations
piscreentypes.h File Reference

Types for PIScreen. More...

## Enumerations
enum | PIScreenTypes::Color { PIScreenTypes::Default, PIScreenTypes::Black, PIScreenTypes::Red, PIScreenTypes::Green, PIScreenTypes::Blue, PIScreenTypes::Cyan, PIScreenTypes::Magenta, PIScreenTypes::Yellow, PIScreenTypes::White, PIScreenTypes::Transparent }
| Color for chars or background. More...
enum | PIScreenTypes::CharFlag { PIScreenTypes::Bold = 0x1, PIScreenTypes::Blink = 0x2, PIScreenTypes::Underline = 0x4 }
| Flags for chars. More...
enum | PIScreenTypes::Alignment { PIScreenTypes::Left, PIScreenTypes::Center, PIScreenTypes::Right }
| Alignment. More...
enum | PIScreenTypes::SizePolicy { PIScreenTypes::Fixed, PIScreenTypes::Preferred, PIScreenTypes::Expanding, PIScreenTypes::Ignore }
| Size policy. More...
enum | PIScreenTypes::Direction { PIScreenTypes::Horizontal, PIScreenTypes::Vertical }
| Direction. More...
enum | PIScreenTypes::Position
| Position.
enum | PIScreenTypes::FocusFlag { PIScreenTypes::CanHasFocus = 0x1, PIScreenTypes::NextByTab = 0x2, PIScreenTypes::NextByArrowsHorizontal = 0x4, PIScreenTypes::NextByArrowsVertical = 0x8, PIScreenTypes::NextByArrowsAll = NextByArrowsHorizontal | NextByArrowsVertical }
| Focus flags. More...

## Detailed Description

Types for PIScreen.

## Enumeration Type Documentation

## ◆ Color

enum PIScreenTypes::Color

Color for chars or background.

Enumerator
Default | Default
Black | Black
Red | Red
Green | Green
Blue | Blue
Cyan | Cyan
Magenta | Magenta
Yellow | Yellow
White | White
Transparent | Save previous color

## ◆ CharFlag

enum PIScreenTypes::CharFlag

Flags for chars.

Enumerator
Bold | Bold or bright
Blink | Blink text
Underline | Underline text

## ◆ Alignment

enum PIScreenTypes::Alignment

Alignment.

Enumerator
Left | Left
Center | Center
Right | Right

## ◆ SizePolicy

enum PIScreenTypes::SizePolicy

Size policy.

Enumerator
Fixed | Fixed size
Preferred | Preferred size
Expanding | Maximum available size
Ignore | Ignore layout logic

## ◆ Direction

enum PIScreenTypes::Direction

Direction.

Enumerator
Horizontal | Horizontal
Vertical | Vertical

## ◆ FocusFlag

enum PIScreenTypes::FocusFlag

Focus flags.

Enumerator
CanHasFocus | Tile can has focus
NextByTab | Focus passed to next tile by tab key
NextByArrowsHorizontal | Focus passed to next tile by arrow keys left or right
NextByArrowsVertical | Focus passed to next tile by arrow keys up or down
NextByArrowsAll | Focus passed to next tile by any arrow key